---
updatedAt: 2025-11-21T03:52:13.000Z
agentTools:
  projectIndex: https://developers.sygna.io/llms.txt
---

# update customers

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.23.0",
    "title": "Sygna Hub",
    "description": "Sygna Hub API Document",
    "contact": {}
  },
  "servers": [
    {
      "url": "httsp://example.com/v1",
      "description": ""
    }
  ],
  "paths": {
    "/customers": {
      "patch": {
        "tags": [
          "Hub/customers"
        ],
        "summary": "update customers",
        "requestBody": {
          "description": "patch /customers params",
          "required": true,
          "content": {
            "*/*": {
              "schema": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/schema.PatchCustomersInput"
                }
              },
              "examples": {
                "Example 1": {
                  "value": [
                    {
                      "id": "5bd43419-aff3-4828-b739-3319ed4fffb6",
                      "is_active": false
                    }
                  ]
                },
                "Example 2": {
                  "value": [
                    {
                      "id": "b52e9794-1ea1-42ad-8a59-db582bf7bb07",
                      "is_active": true
                    }
                  ]
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "*/*": {
                "schema": {
                  "$ref": "#/components/schemas/schema.RespWithMutation"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "*/*": {
                "schema": {
                  "$ref": "#/components/schemas/errors.SystemError"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "*/*": {
                "schema": {
                  "$ref": "#/components/schemas/errors.SystemError"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "*/*": {
                "schema": {
                  "$ref": "#/components/schemas/errors.SystemError"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "*/*": {
                "schema": {
                  "$ref": "#/components/schemas/errors.SystemError"
                }
              }
            }
          }
        },
        "security": [
          {
            "BearerToken": []
          }
        ],
        "servers": [
          {
            "url": "httsp://example.com/v1",
            "description": ""
          }
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerToken": {
        "type": "apiKey",
        "name": "Authorization",
        "in": "header"
      }
    },
    "schemas": {
      "errors.SystemError": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string"
          },
          "extra_data": {
            "type": "object"
          },
          "help": {
            "type": "string"
          },
          "message": {
            "type": "string"
          },
          "stack": {
            "type": "object"
          },
          "type": {
            "type": "string"
          }
        }
      },
      "schema.RespWithMutation": {
        "type": "object",
        "properties": {
          "account_numbers": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "error": {
                  "$ref": "#/components/schemas/errors.SystemError"
                },
                "id": {
                  "type": "string",
                  "format": "uuid"
                },
                "success": {
                  "type": "boolean"
                }
              },
              "required": [
                "success"
              ]
            }
          }
        }
      },
      "schema.PatchCustomersInput": {
        "type": "object"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```